Bug 242327 - ugrading FC6 to F7 does not work
ugrading FC6 to F7 does not work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-03 07:59 EDT by kb
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 23:55:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kb 2007-06-03 07:59:03 EDT
Description of problem:
Upgrading from FC6 to F7 not possible.

stops with error after selinux-policy-???
i updated to the latest FC6 of those, actually i run yum to update all packages.
the problem is still there.

i got a few pages of error information, but i had no where to save it, but
please give me a hint on how i can mount the local harddrive or a usb-memory
stick so that i can save the error into a file and post it here.


Version-Release number of selected component (if applicable):


How reproducible:
try installing F7 as upgrade to FC6.
both graphical and textbased upgrade fails.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Perhaps time to release a new DVD-image?
Comment 1 kb 2007-06-03 08:00:14 EDT
i was using the DVD image from a DVD.
Comment 2 kb 2007-06-06 13:52:06 EDT
hi.
might be an issue with the partition LABELing stuff.

here is some info from the system.
it looks like the labels are there on the three main partitions ( /, /boot, swap).

anything else i can provide to help?
i still have no clue on how i can copy the error message i see in anacondas GUI
to a textfile, there are no buttons to save or send the information.
i can copy the infomration to the clipboard but i can never paste it elsewhere.


# /sbin/blkid
/dev/sda3: LABEL="SWAP-sda3" TYPE="swap"
/dev/sda2: LABEL="/" UUID="6a4bcf66-2ac6-4abb-a2ec" SEC_TYPE="ext2" TYPE="ext3"
/dev/sda1: LABEL="/boot" UUID="954ed502-b416-4eee-a52c" SEC_TYPE="ext2" TYPE="ext3"



/etc/fstab:
LABEL=/                 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
tmpfs                   /dev/shm                tmpfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
sysfs                   /sys                    sysfs   defaults        0 0
LABEL=SWAP-sda3         swap                    swap    defaults        0 0


/boot/grub/grub.conf:
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/sda2
#          initrd /initrd-version.img
#boot=/dev/sda
default=3
timeout=10
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Fedora Core (2.6.20-1.2948.fc6PAE-debug)
        root (hd0,0)
       kernel /vmlinuz-2.6.20-1.2948.fc6PAE-debug ro root=LABEL=/ rhgb
libata.atapi_enabled=1 hdc=noprobe ide1=noprobe quiet
        initrd /initrd-2.6.20-1.2948.fc6PAE-debug.img
title Fedora Core (2.6.20-1.2948.fc6PAE)
        root (hd0,0)
        kernel /vmlinuz-2.6.20-1.2948.fc6PAE ro root=LABEL=/ rhgb
libata.atapi_enabled=1 hdc=noprobe ide1=noprobe quiet
        initrd /initrd-2.6.20-1.2948.fc6PAE.img
title Fedora Core (2.6.20-1.2948.fc6debug)
        root (hd0,0)
        kernel /vmlinuz-2.6.20-1.2948.fc6debug ro root=LABEL=/ rhgb
libata.atapi_enabled=1 hdc=noprobe ide1=noprobe quiet
        initrd /initrd-2.6.20-1.2948.fc6debug.img
title Fedora Core (2.6.20-1.2948.fc6)
        root (hd0,0)
        kernel /vmlinuz-2.6.20-1.2948.fc6 ro root=LABEL=/ rhgb
libata.atapi_enabled=1 hdc=noprobe ide1=noprobe quiet
        initrd /initrd-2.6.20-1.2948.fc6.img
Comment 3 John E. Harbold 2007-06-06 17:54:56 EDT
I had the same problem!  When I first tried to do a network upgrade, I got an
error that said that my root partition did not have a proper label.  I then
edited my /etc/fstab and changed my disk device names from
/dev/hd[ab][[:digit:]] to a disk label.  I also used e2label to add the
appropriate disk labels.  Upon trying to re-upgrade, I got another error telling
me my swap device was invalid.  I then re-edited /etc/fstab and changed the swap
device from /dev/hda[[:digit:]] to /dev/sda[[:digit:]].  The reason for this is
libata.  All hard disk device names were changed to /dev/sd[[:alpha:]][[:digit:]]+.

I still can't do a network upgrade because anaconda crashes.  See Bugzilla ID
242604.
Comment 4 David Cantrell 2007-08-22 17:19:43 EDT
Change to tty3 (Ctrl+Alt+F3) and take a picture of the screen.  Attach the image
to the bug report.  That will give us a place to start.
Comment 5 Brian Powell 2008-04-24 23:55:30 EDT
Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.
Comment 6 Brian Powell 2008-04-25 00:04:18 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.